Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDITEMBVTvalues

    java.lang.Object
      java.lang.Enum<CDITEMBVTvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDITEMBVTvalues

All Implemented Interfaces:
  Serializable, Comparable<CDITEMBVTvalues>

    public enum CDITEMBVTvalues

extends Enum<CDITEMBVTvalues>

Java class for CD-ITEM-BVTvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ITEM-BVTvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="referenceid"/>
         <enumeration value="patientopposition"/>
         <enumeration value="sample"/>
         <enumeration value="biopsynumber"/>
         <enumeration value="technicalremarks"/>
         <enumeration value="lab"/>
         <enumeration value="error"/>
         <enumeration value="status"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`BIOPSYNUMBER`
`ERROR`
`LAB`
`PATIENTOPPOSITION`
`REFERENCEID`
`SAMPLE`
`STATUS`
`TECHNICALREMARKS`

Method Summary
`static CDITEMBVTvalues` | `fromValue(String v)`
`String` | `value()`
`static CDITEMBVTvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDITEMBVTvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REFERENCEID

    public static final CDITEMBVTvalues REFERENCEID

### PATIENTOPPOSITION

    public static final CDITEMBVTvalues PATIENTOPPOSITION

### SAMPLE

    public static final CDITEMBVTvalues SAMPLE

### BIOPSYNUMBER

    public static final CDITEMBVTvalues BIOPSYNUMBER

### TECHNICALREMARKS

    public static final CDITEMBVTvalues TECHNICALREMARKS

### LAB

    public static final CDITEMBVTvalues LAB

### ERROR

    public static final CDITEMBVTvalues ERROR

### STATUS

    public static final CDITEMBVTvalues STATUS

Method Detail

### values

    public static CDITEMBVTvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDITEMBVTvalues c : CDITEMBVTvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDITEMBVTvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDITEMBVTvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.